from dotenv import load_dotenv
import requests
import os

load_dotenv()

API_URL = "https://smsapi.free-mobile.fr/sendmsg"


class Free:
    def __init__(self):
        self.user = os.getenv("FREE_USER")
        self.password = os.getenv("FREE_PASSWORD")

    def send_sms(self, message: str) -> None:
        requests.get(
            API_URL,
            params={
                "user": self.user,
                "pass": self.password,
                "msg": message,
            },
        )
